PTRC
Introduction
The above curl command is an example of a POST request to the Signzy API version 2 for retrieving information about patrons. This API is used for accessing patron data and performing various operations on it. In this particular example, the request is made with specific parameters to search for a particular patron based on their professional tax number and state. The request is authenticated using an access token provided by the API. The response to this request will provide information about the patron that matches the search criteria.
Sample Curl
curl --request POST \
--url https://signzy.tech/api/v2/patrons/...patronid.../ptrcs \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"essentials":{"professionalTaxNumber":"..professiona-tax-number-to-search-for..","state":"...state-to-search-for.."}}'Parameter | Description |
|---|---|
request | HTTP method used for making the request, in this case POST |
url | URL of the API endpoint to send the request to |
Accept | The expected response content type |
Accept-Language | The preferred language for the response |
Authorization | The access token used for authentication and authorization |
content-type | The content type of the request body, in this case JSON |
essentials.professionalTaxNumber | The professional tax number to search for |
essentials.state | The state to search for based on the professional tax number |
Sample Response
{
"result": {
"address1": "...address1...",
"address2": "...address2...",
"address3": "...address3...",
"talukaName": "...talukaName...",
"streetName": "...streetName...",
"pinCode": "...pinCode...",
"districtName": "...districtName...",
"cityName": "...cityName...",
"effectiveOrCanceledDate": "...effectiveOrCanceledDate...",
"address": "...address...",
"status": "...status...",
"state": "...state...",
"tin": "...tin...",
"principalAddress": "...principalAddress...",
"dealerStatus": "...dealerStatus...",
"gstin": "...gstin...",
"dealerName": "...dealerName...",
"splitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"dataFromGstn": {
"gstnDetailed": {
"constitutionOfBusiness": "...constitutionOfBusiness...",
"legalNameOfBusiness": "...legalNameOfBusiness...",
"tradeNameOfBusiness": "...tradeNameOfBusiness...",
"centreJurisdiction": "...centreJurisdiction...",
"stateJurisdiction": "...stateJurisdiction...",
"registrationDate": "...registrationDate...",
"taxPayerDate": "...taxPayerDate...",
"gstinStatus": "...gstinStatus...",
"cancellationDate": "...cancellationDate...",
"natureOfBusinessActivities": [],
"principalPlaceAddress": "...principalPlaceAddress...",
"principalPlaceBuildingNoFromGST": "...principalPlaceBuildingNoFromGST...",
"principalPlaceBuildingNameFromGST": "...principalPlaceBuildingNameFromGST...",
"principalPlaceFlatNo": "...principalPlaceFlatNo...",
"additionalPlaceAddress": "...additionalPlaceAddress...",
"additionalPlaceBuildingNoFromGST": "...additionalPlaceBuildingNoFromGST...",
"additionalPlaceBuildingNameFromGST": "...additionalPlaceBuildingNameFromGST...",
"additionalPlaceFlatNo": "...additionalPlaceFlatNo...",
"additionalPlaceSplitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "...pincode...",
"country": [],
"addressLine": "...addressLine..."
},
"principalPlaceSplitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "...pincode...",
"country": [],
"addressLine": "...addressLine..."
}
},
"gstnRecords": [
{
"applicationStatus": "...applicationStatus...",
"registrationName": "...registrationName...",
"mobNum": "...mobNum...",
"regType": "...regType...",
"emailId": "...emailId...",
"tinNumber": "...tinNumber...",
"gstinRefId": "...gstinRefId...",
"gstin": "...gstin..."
}
],
"gstin": "...gstin...",
}
}
}Parameter | Description |
|---|---|
result.address1 | Address field 1 of the patron |
result.address2 | Address field 2 of the patron |
result.address3 | Address field 3 of the patron |
result.talukaName | Taluka name of the patron |
result.streetName | Street name of the patron |
result.pinCode | Pincode of the patron |
result.districtName | District name of the patron |
result.cityName | City name of the patron |
result.effectiveOrCanceledDate | Effective or canceled date of the patron |
result.address | Complete address of the patron |
result.status | Status of the patron |
result.state | State of the patron |
result.tin | Taxpayer Identification Number (TIN) of the patron |
result.principalAddress | Principal address of the patron |
result.dealerStatus | Dealer status of the patron |
result.gstin | Goods and Services Tax Identification Number (GSTIN) of the patron |
result.dealerName | Dealer name of the patron |
result.splitAddress | A JSON object containing the split address details of the patron |
result.dataFromGstn | A JSON object containing GSTN (Goods and Services Tax Network) data of the patron |
result.dataFromGstn.gstnDetailed | Detailed GSTN data of the patron |
result.dataFromGstn.gstnDetailed.constitutionOfBusiness | Constitution of business of the patron |
result.dataFromGstn.gstnDetailed.legalNameOfBusiness | Legal name of the business of the patron |
result.dataFromGstn.gstnDetailed.tradeNameOfBusiness | Trade name of the business of the patron |
result.dataFromGstn.gstnDetailed.centreJurisdiction | Centre jurisdiction of the business of the patron |
result.dataFromGstn.gstnDetailed.stateJurisdiction | State jurisdiction of the business of the patron |
result.dataFromGstn.gstnDetailed.registrationDate | Registration date of the business of the patron |
result.dataFromGstn.gstnDetailed.taxPayerDate | Taxpayer date of the business of the patron |
result.dataFromGstn.gstnDetailed.gstinStatus | GSTIN status of the business of the patron |
result.dataFromGstn.gstnDetailed.cancellationDate | Cancellation date of the business of the patron |
result.dataFromGstn.gstnDetailed.natureOfBusinessActivities | List of nature of business activities of the patron |
result.dataFromGstn.gstnDetailed.principalPlaceAddress | Principal place address of the business of the patron |
result.dataFromGstn.gstnDetailed.principalPlaceBuildingNoFromGST | Principal place building number of the business of the patron (as per GST records) |
result.dataFromGstn.gstnDetailed.principalPlaceBuildingNameFromGST | Principal place building name of the business of the patron (as per GST records) |
result.dataFromGstn.gstnDetailed.principalPlaceFlatNo | Principal place flat number of the business of the patron |
result.dataFromGstn.gstnDetailed.additionalPlaceAddress | Additional place address of the business of the patron |
result.dataFromGstn.gstnDetailed.additionalPlaceBuildingNoFromGST | Additional place building number of the business of the patron (as per GST records) |
result.data |  |